杭州达内嵌入式培训火热招生中。。。|杭州达内c++培训火热招生中
您现在的位置: 杭州达内 >>嵌入式培训>>Linux下安装ipython
Linux下安装ipython
杭州达内 - 嵌入式培训 来源:杭州达内 发布时间:2013-12-17 09:54
先说说我的机器情况吧,python 预装版本为2.4.3
 wget http://www.python.org/ftp/python/2.7.3/Python-2.7.3.tgz   编译Python 2.7.3版本
 
  1. tar czvf Python-2.7.3.tgz
     
  2. cd Python-2.7.3
     
  3. ./configure --prefix=/home/yesg/
     
  4. make
     
  5. make install
采用easy_install 来安装ipython,需要先安装easy_install,先下载easy_install源码
 
 
  1. wget http://pypi.python.org/packages/source/s/setuptools/setuptools-0.6c11.tar.gz#md5=7df2a529a074f613b509fb44feefe74e
安装easy_install
 
  1. tar xzvf setuptools-0.6c11.tar.gz
     
  2.  cd setuptools-0.6c11
     
  3. python2.7 setup.py install
使用easy_install-2.7安装ipython

easy_install-2.7 ipython

 
运行ipython查看成果

 
  1. WARNING: IPython History requires SQLite, your history will not be saved
     
  2. WARNING: Readline services not available or not loaded.WARNING: The auto-indent feature requires the readline libraryPython 2.7.3 (default, Dec 11 2012, 23:01:21)
悲剧啊重新安装sqlite3

 
  1. wget http://www.sqlite.org/sqlite-autoconf-3071401.tar.gz
     
  2. tar xzvf sqlite-autoconf-3071401.tar.gz
     
  3. cd sqlite-autoconf-3071401
     
  4. ./configure --prefix=/usr/local/
     
  5. make
     
  6. make install

较后发现必须./configure --prefix=/usr/local/也就是指定安装路径

这样重新安装Python2.7 make的时候才不会报_sqlite3模块安装失败,再重新安装easy_install,利用easy_install安装ipython。

<< 上一篇:RedHat9.0下fcitx安装 >> 下一篇:Java6 WebService学习
 达内简介 达内就业 达内课程 联系我们 网站导航
杭州达内为上软件有限公司 Copyright @ 2007-2012 版权所有 苏ICP备10118953号-1
分享到: